Manipulation

- « Threaded::run

- Threaded::synchronized »

- PHP Manual
- Threaded
- Manipulation

# Threaded::shift

(PECL pthreads >= 2.0.0)

Threaded::shift — Manipulation

### Description

public Threaded::shift(): mixed

Shifts an item from the objects property table

### Parameters

This function has no parameters.

### Return Values

The first item from the objects property table

### Examples

Example #1 Shifting the first item from the property table of a threaded object

    <?php$safe = new Threaded();while (count($safe) < 10)    $safe[] = count($safe);var_dump($safe->shift());?>

The above example will output:

    int(0)